org.eclnt.jsfserver.elements.componentnodes

## Class HTCHECKBOXNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HTCHECKBOXNode

- All Implemented Interfaces:
    java.io.Serializable

      public class HTCHECKBOXNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTCHECKBOXNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTCHECKBOXNode` | `bindComment(IDynamicContentBindingObject value)`
    `HTCHECKBOXNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HTCHECKBOXNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `HTCHECKBOXNode` | `bindRendered(IDynamicContentBindingObject value)`
    `HTCHECKBOXNode` | `bindSelected(IDynamicContentBindingObject value)`
    `HTCHECKBOXNode` | `bindStyle(IDynamicContentBindingObject value)`
    `HTCHECKBOXNode` | `bindStyleClass(IDynamicContentBindingObject value)`
    `HTCHECKBOXNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `HTCHECKBOXNode` | `bindText(IDynamicContentBindingObject value)`
    `HTCHECKBOXNode` | `bindValign(IDynamicContentBindingObject value)`
    `HTCHECKBOXNode` | `bindWidth(IDynamicContentBindingObject value)`
    `HTCHECKBOXNode` | `setAttributemacro(java.lang.String value)`
    `HTCHECKBOXNode` | `setComment(java.lang.String value)`
    `HTCHECKBOXNode` | `setConfiginfo(java.lang.String value)`
    `HTCHECKBOXNode` | `setEnabled(boolean value)`
    `HTCHECKBOXNode` | `setEnabled(java.lang.String value)`
    `HTCHECKBOXNode` | `setId(java.lang.String value)`
    `HTCHECKBOXNode` | `setReference(java.lang.String value)`
    `HTCHECKBOXNode` | `setRendered(boolean value)`
    `HTCHECKBOXNode` | `setRendered(java.lang.String value)`
    `HTCHECKBOXNode` | `setSelected(boolean value)`
    `HTCHECKBOXNode` | `setSelected(java.lang.String value)`
    `HTCHECKBOXNode` | `setStyle(java.lang.String value)`
    `HTCHECKBOXNode` | `setStyleClass(java.lang.String value)`
    `HTCHECKBOXNode` | `setStylevariant(java.lang.String value)`
    `HTCHECKBOXNode` | `setText(java.lang.String value)`
    `HTCHECKBOXNode` | `setValign(java.lang.String value)`
    `HTCHECKBOXNode` | `setWidth(int value)`
    `HTCHECKBOXNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTCHECKBOXNode

          public HTCHECKBOXNode()

  - ### Method Detail

    - #### setId

          public HTCHECKBOXNode setId(java.lang.String value)

    - #### setAttributemacro

          public HTCHECKBOXNode setAttributemacro(java.lang.String value)

    - #### setComment

          public HTCHECKBOXNode setComment(java.lang.String value)

    - #### bindComment

          public HTCHECKBOXNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public HTCHECKBOXNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HTCHECKBOXNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnabled

          public HTCHECKBOXNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public HTCHECKBOXNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public HTCHECKBOXNode setEnabled(boolean value)

    - #### setReference

          public HTCHECKBOXNode setReference(java.lang.String value)

    - #### setRendered

          public HTCHECKBOXNode setRendered(java.lang.String value)

    - #### bindRendered

          public HTCHECKBOXNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HTCHECKBOXNode setRendered(boolean value)

    - #### setSelected

          public HTCHECKBOXNode setSelected(java.lang.String value)

    - #### bindSelected

          public HTCHECKBOXNode bindSelected(IDynamicContentBindingObject value)

    - #### setSelected

          public HTCHECKBOXNode setSelected(boolean value)

    - #### setStyle

          public HTCHECKBOXNode setStyle(java.lang.String value)

    - #### bindStyle

          public HTCHECKBOXNode bindStyle(IDynamicContentBindingObject value)

    - #### setStyleClass

          public HTCHECKBOXNode setStyleClass(java.lang.String value)

    - #### bindStyleClass

          public HTCHECKBOXNode bindStyleClass(IDynamicContentBindingObject value)

    - #### setStylevariant

          public HTCHECKBOXNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public HTCHECKBOXNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public HTCHECKBOXNode setText(java.lang.String value)

    - #### bindText

          public HTCHECKBOXNode bindText(IDynamicContentBindingObject value)

    - #### setValign

          public HTCHECKBOXNode setValign(java.lang.String value)

    - #### bindValign

          public HTCHECKBOXNode bindValign(IDynamicContentBindingObject value)

    - #### setWidth

          public HTCHECKBOXNode setWidth(java.lang.String value)

    - #### bindWidth

          public HTCHECKBOXNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public HTCHECKBOXNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.